Bug 699595

Summary: brightness hotkey behavior unpredictable with Acer Travelmate 2420 series
Product: [Fedora] Fedora Reporter: arctos
Component: xorg-x11Assignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: unspecified    
Version: 15CC: dennis, elad
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 15:12:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description arctos 2011-04-26 02:14:31 EDT
Description of problem:  The brightness keys seem transposed in a weird way. Fn+Left or Right arrow (the brightness hotkeys for this laptop) yield an unusual behavior.  Fn+Left reduces the screen brightness immediately, but then after less than a second increases the brightness meter in Fedora and increases the brightness one step.  Fn+Right increases the screen brightness, but lowers the brightness meter and then lowers the brightness one step in Fedora.  This results in the brightness both increasing and decreasing with each press of the hotkey, and some really interesting behavior if you hold the hotkeys.


Version-Release number of selected component (if applicable):
Fedora 15 beta

How reproducible:
Use the brightness hotkeys like you normally would.


Steps to Reproduce:
1. Press Fn+Left when brightness is at any level besides maximum.  Observe immediate decrease in actual screen brightness, followed shortly by an increase in actual screen brightness and the brightness meter going up one step on the screen.
2. Press Fn+Right when brightness is at any level besides minimum.  Observe immediate increase in actual screen brightness, followed shortly by a decrease in actual screen brightness and the brightness meter going down one step on the screen.
3. At maximum brightness level per the indicator on the screen, hold Fn+Left.  The actual screen brightness will decrease to minimum, but the indicator on screen will stay at maximum.
4. At minimum brightness level per the indicator on the screen, hold Fn+Right.  The actual screen brightness will increase to maximum, but the indicator on the screen will stay at minimum.

  
Actual results:
Incorrect and unpredictable brightness changing behavior.


Expected results:
Normal brightness changing behavior.  I believe the left key is supposed to decrease brightness, and the right key is supposed to increase brightness.
Comment 1 Elad Alfassa 2011-04-26 14:58:53 EDT
What graphic card do you have? attach relevant lspci output. Are you using a free driver from the fedora repositories?
Moving the bug to xrog-x11 for now, will move to the relevant driver when I'll know what it is.
Comment 2 Matěj Cepl 2011-04-26 19:46:45 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 arctos 2011-04-28 01:09:06 EDT
(In reply to comment #1)
> What graphic card do you have? attach relevant lspci output. Are you using a
> free driver from the fedora repositories?
> Moving the bug to xrog-x11 for now, will move to the relevant driver when I'll
> know what it is.

Am not using anything special, just whatever Fedora installed with.  Graphics is GMA910  Problem occurs in Ubuntu 11.04 as well, so it is not a bug specific only to Fedora.

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 03)
06:05.0 Ethernet controller: Atheros Communications Inc. AR2413 802.11bg NIC (rev 01)
06:07.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
06:09.0 CardBus bridge: ENE Technology Inc CB1410 Cardbus Controller (rev 01)
Comment 4 arctos 2011-04-28 01:13:31 EDT
(In reply to comment #2)
> Thanks for the bug report.  We have reviewed the information you have provided
> above, and there is some additional information we require that will be helpful
> in our diagnosis of this issue.
> 
> Please add drm.debug=0x04 to the kernel command line, restart computer, and
> attach
> 
> * your X server config file (/etc/X11/xorg.conf, if available),
> * X server log file (/var/log/Xorg.*.log)
> * output of the dmesg command, and
> * system log (/var/log/messages)
> 
> to the bug report as individual uncompressed file attachments using the
> bugzilla file attachment link above.
> 
> We will review this issue again once you've had a chance to attach this
> information.
> 
> Thanks in advance.

I apologize for my newness, how do you add the drm.debug-0x04 to the command line?

It seems to be a problem with the hotkeys being transposed, since the brightness controls in power options function correctly.
Comment 5 Elad Alfassa 2011-04-28 01:25:23 EDT
Hold shift while booting (start holding when you see the bios, before the fedora logo). Then, in the GRUB menu, press a. Press space and write drm.debug-0x04
Then press enter.
The system will boot.
Fetch the requested logs and add those as attachment to this bug.

(and there is no need to apologize)
Comment 6 Matěj Cepl 2011-04-28 19:40:10 EDT
(In reply to comment #5)
> Hold shift while booting (start holding when you see the bios, before the
> fedora logo). Then, in the GRUB menu, press a. Press space and write
> drm.debug-0x04

Just to emphasize, this is drm.debug=0x04, not drm.debug-0x04
Comment 7 Elad Alfassa 2011-04-29 00:57:10 EDT
Yeah sorry, it was a typo.
Comment 8 Fedora End Of Life 2012-08-07 15:12:42 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping